Name:          libxcvt
Version:       0.1.3
Release:       1mamba
Summary:       A library providing a standalone version of the X server implementation of the VESA CVT standard
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://x.org/wiki/
Source:        https://www.x.org/releases/individual/lib/libxcvt-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
libxcvt is a library providing a standalone version of the X server implementation of the VESA CVT standard timing modelines generator.
libxcvt also provides a standalone version of the command line tool cvt copied from the Xorg implementation and is meant to be a direct replacement to the version provided by the Xorg server.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/X11
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libxcvt.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libxcvt
%{_includedir}/libxcvt/*.h
%{_libdir}/libxcvt.so
%{_libdir}/pkgconfig/libxcvt.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/cvt
%{_mandir}/man1/cvt.1*

%changelog
* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 0.1.3-1mamba
- automatic version update by autodist

* Wed Jul 20 2022 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- automatic version update by autodist

* Wed Dec 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- package created using the webbuild interface
